Package org.eigenbase.xom

# Class XOMException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eigenbase.xom.XOMException

All Implemented Interfaces:
  `Serializable`

public class XOMException extends Exception
XOMException extends Exception and provides detailed error messages for xom-specific exceptions.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XOMException()`
Constructs a XOM exception with no message.
`XOMException(String s)`
Constructs an exception with a detailed message.
`XOMException(Throwable cause, String s)`
Constructs an exception based on another exception, so that the exceptions may be chained.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XOMException

public XOMException()
Constructs a XOM exception with no message.

### XOMException

public XOMException(String s)
Constructs an exception with a detailed message.

Parameters:
  `s` - - a detailed message describing the specific error

### XOMException

public XOMException(Throwable cause, String s)
Constructs an exception based on another exception, so that the exceptions may be chained.

Parameters:
  `cause` - the exception on which this one is based.
  `s` - a message for this portion of the exception.